org.richfaces.component

## Class UISelect

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.UISelectOne
          - - org.richfaces.component.AbstractSelectComponent
            - - org.richfaces.component.AbstractSelect
              - - org.richfaces.component.UISelect

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AutocompleteProps, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, FocusProps, SelectItemsProps, SelectProps, MetaComponentEncoder, MetaComponentResolver, SelectItemsInterface

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UISelect
      extends AbstractSelect
      implements javax.faces.component.behavior.ClientBehaviorHolder, MetaComponentEncoder, MetaComponentResolver, AutocompleteProps, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, SelectItemsProps, SelectProps, SelectItemsInterface

  The <rich:select> component provides a drop-down list box for selecting a single value from multiple options. The <rich:select> component can be configured as a combo-box, where it will accept typed input. The component also supports keyboard navigation. The <rich:select> component functions similarly to the JSF UISelectOne component.

  The <rich:select> can optionally be used in an auto-completing mode, where the values in the drop-down list are provided dynamically using either the autocompleteMethod or autocompleteList attributes. If these attributes are omitted, the component operates in the traditional non-auto-completing mode. Refer to the individual attribute documentation to see which attributes are applicable only with an auto-completing select list.

  Author:
    abelevich, Brian Leathem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UISelect.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractSelect

      `ITEMS_META_COMPONENT_ID`

    - ### Fields inherited from class javax.faces.component.UISelectOne

      `INVALID_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface org.richfaces.component.MetaComponentResolver

      `META_COMPONENT_SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UISelect()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActiveClass()` Space-separated list of CSS style class(es) to be applied to the list element when it is in the "active" state.
    `Object` | `getAutocompleteList()` A collection of suggestions that will be provided to the user
    `javax.el.MethodExpression` | `getAutocompleteMethod()` A method which provides a list of suggestions according to a user-provided filtering value
    `javax.el.MethodExpression` | `getAutocompleteMethodWithOneParameter()` Workaround for RF-11469
    `String` | `getChangedClass()` Space-separated list of CSS style class(es) to be applied to the list element when it is in the "changed" state.
    `String` | `getClientFilterFunction()` A javascript function used to filter the list of items in the select popup
    `String` | `getDefaultEventName()`
    `String` | `getDefaultLabel()` Used to set the display text when value is undefined
    `String` | `getDisabledClass()` Space-separated list of CSS style class(es) to be applied to the list element when it is disabled.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getItemClass()` Space-separated list of CSS style class(es) to be applied to the list items.
    `Object` | `getItemLabel()` Label to be displayed to the user for the corresponding option.
    `Object` | `getItemValue()` Value to be returned to the server if the corresponding option is selected by the user.
    `String` | `getListClass()` Space-separated list of CSS style class(es) to be applied to the list element.
    `String` | `getListHeight()` The height of the list element (in pixels)
    `String` | `getListWidth()` The width of the list element (in pixels)
    `String` | `getMaxListHeight()` The maximum height of the list
    `int` | `getMinChars()` Minimal number of chars in input to activate suggestion popup
    `String` | `getMinListHeight()` The minimum height ot the list
    `AutocompleteMode` | `getMode()` Determine how the suggestion list is requested:
    `String` | `getOnblur()` Javascript code executed when this element loses focus.
    `String` | `getOnchange()` Javascript code executed when the list element loses focus and its value has been modified since gaining focus.
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnfocus()` Javascript code executed when this element receives focus.
    `String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `String` | `getOnkeyup()` Javascript code executed when a key is released over this element.
    `String` | `getOnlistclick()` Javascript code executed when a pointer button is clicked over the list element.
    `String` | `getOnlistdblclick()` Javascript code executed when a pointer button is double clicked over the list element.
    `String` | `getOnlisthide()` Javascript code executed when the list element is hidden
    `String` | `getOnlistkeydown()` Javascript code executed when a key is pressed down over the list element.
    `String` | `getOnlistkeypress()` Javascript code executed when a key is pressed and released over the list element.
    `String` | `getOnlistkeyup()` Javascript code executed when a key is released over the list element.
    `String` | `getOnlistmousedown()` Javascript code executed when a pointer button is pressed down over the list element.
    `String` | `getOnlistmousemove()` Javascript code executed when a pointer button is moved within the list element.
    `String` | `getOnlistmouseout()` Javascript code executed when a pointer button is moved away from the list element.
    `String` | `getOnlistmouseover()` Javascript code executed when a pointer button is moved onto the list element.
    `String` | `getOnlistmouseup()` Javascript code executed when a pointer button is released over the list element.
    `String` | `getOnlistshow()` Javascript code executed when the list element is shown
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getOnselectitem()` Javascript code executed when an item is selected
    `String` | `getSelectItemClass()` Space-separated list of CSS style class(es) to be applied to the selected list item.
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTabindex()` Position of this element in the tabbing order for the current document.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `String` | `getVar()` Expose the values from either the autocompleteList or autocompleteMethod attributes under a request scoped key so that the values may be referred to in an EL expression while rendering this component.
    `boolean` | `isDisabled()` Flag indicating that this element must never receive focus or be included in a subsequent submit.
    `boolean` | `isEnableManualInput()` If "true" Allows the user to type into a text field to scroll through or filter the list.
    `boolean` | `isSelectFirst()` If "true" as the user types to narrow the list, automatically select the first element in the list.
    `boolean` | `isShowButton()` When "true" display a button to expand the popup list
    `void` | `setActiveClass(String activeClass)`
    `void` | `setAutocompleteList(Object autocompleteList)`
    `void` | `setAutocompleteMethod(javax.el.MethodExpression autocompleteMethod)`
    `void` | `setAutocompleteMethodWithOneParameter(javax.el.MethodExpression autocompleteMethodWithOneParameter)`
    `void` | `setChangedClass(String changedClass)`
    `void` | `setClientFilterFunction(String clientFilterFunction)`
    `void` | `setDefaultLabel(String defaultLabel)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setDisabledClass(String disabledClass)`
    `void` | `setEnableManualInput(boolean enableManualInput)`
    `void` | `setItemClass(String itemClass)`
    `void` | `setItemLabel(Object itemLabel)`
    `void` | `setItemValue(Object itemValue)`
    `void` | `setListClass(String listClass)`
    `void` | `setListHeight(String listHeight)`
    `void` | `setListWidth(String listWidth)`
    `void` | `setMaxListHeight(String maxListHeight)`
    `void` | `setMinChars(int minChars)`
    `void` | `setMinListHeight(String minListHeight)`
    `void` | `setMode(AutocompleteMode mode)`
    `void` | `setOnblur(String onblur)`
    `void` | `setOnchange(String onchange)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnfocus(String onfocus)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnlistclick(String onlistclick)`
    `void` | `setOnlistdblclick(String onlistdblclick)`
    `void` | `setOnlisthide(String onlisthide)`
    `void` | `setOnlistkeydown(String onlistkeydown)`
    `void` | `setOnlistkeypress(String onlistkeypress)`
    `void` | `setOnlistkeyup(String onlistkeyup)`
    `void` | `setOnlistmousedown(String onlistmousedown)`
    `void` | `setOnlistmousemove(String onlistmousemove)`
    `void` | `setOnlistmouseout(String onlistmouseout)`
    `void` | `setOnlistmouseover(String onlistmouseover)`
    `void` | `setOnlistmouseup(String onlistmouseup)`
    `void` | `setOnlistshow(String onlistshow)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnselectitem(String onselectitem)`
    `void` | `setSelectFirst(boolean selectFirst)`
    `void` | `setSelectItemClass(String selectItemClass)`
    `void` | `setShowButton(boolean showButton)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTabindex(String tabindex)`
    `void` | `setTitle(String title)`
    `void` | `setVar(String var)`

    - ### Methods inherited from class org.richfaces.component.AbstractSelect

      `encodeMetaComponent, getItemValues, processEvent, resolveClientId, substituteUnresolvedClientId, validateValue, visitTree`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.component.MetaComponentEncoder

      `encodeMetaComponent`

    - ### Methods inherited from interface org.richfaces.component.MetaComponentResolver

      `resolveClientId, substituteUnresolvedClientId`

    - ### Methods inherited from interface org.richfaces.component.util.SelectItemsInterface

      `getItemValues`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UISelect

          public UISelect()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UISelectOne`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getActiveClass

          public String getActiveClass()

      Description copied from interface: `SelectProps`
      Space-separated list of CSS style class(es) to be applied to the list element when it is in the "active" state. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getActiveClass` in interface `SelectProps`
      Specified by:
        `getActiveClass` in class `AbstractSelect`

    - #### setActiveClass

          public void setActiveClass(String activeClass)

    - #### getAutocompleteList

          public Object getAutocompleteList()

      Description copied from interface: `AutocompleteProps`
      A collection of suggestions that will be provided to the user
      Specified by:
        `getAutocompleteList` in interface `AutocompleteProps`

    - #### setAutocompleteList

          public void setAutocompleteList(Object autocompleteList)

    - #### getAutocompleteMethod

          public javax.el.MethodExpression getAutocompleteMethod()

      Description copied from interface: `AutocompleteProps`
      A method which provides a list of suggestions according to a user-provided filtering value
      Specified by:
        `getAutocompleteMethod` in interface `AutocompleteProps`

    - #### setAutocompleteMethod

          public void setAutocompleteMethod(javax.el.MethodExpression autocompleteMethod)

      Specified by:
        `setAutocompleteMethod` in interface `AutocompleteProps`

    - #### getAutocompleteMethodWithOneParameter

          public javax.el.MethodExpression getAutocompleteMethodWithOneParameter()

      Description copied from interface: `AutocompleteProps`
      Workaround for RF-11469
      Specified by:
        `getAutocompleteMethodWithOneParameter` in interface `AutocompleteProps`

    - #### setAutocompleteMethodWithOneParameter

          public void setAutocompleteMethodWithOneParameter(javax.el.MethodExpression autocompleteMethodWithOneParameter)

      Specified by:
        `setAutocompleteMethodWithOneParameter` in interface `AutocompleteProps`

    - #### getChangedClass

          public String getChangedClass()

      Description copied from interface: `SelectProps`
      Space-separated list of CSS style class(es) to be applied to the list element when it is in the "changed" state. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getChangedClass` in interface `SelectProps`
      Specified by:
        `getChangedClass` in class `AbstractSelect`

    - #### setChangedClass

          public void setChangedClass(String changedClass)

    - #### getClientFilterFunction

          public String getClientFilterFunction()

      Description copied from class: `AbstractSelect`
      A javascript function used to filter the list of items in the select popup
      Specified by:
        `getClientFilterFunction` in class `AbstractSelect`

    - #### setClientFilterFunction

          public void setClientFilterFunction(String clientFilterFunction)

    - #### getDefaultLabel

          public String getDefaultLabel()

      Description copied from interface: `SelectProps`
      Used to set the display text when value is undefined
      Specified by:
        `getDefaultLabel` in interface `SelectProps`

    - #### setDefaultLabel

          public void setDefaultLabel(String defaultLabel)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from interface: `DisabledProps`
      Flag indicating that this element must never receive focus or be included in a subsequent submit.
      Specified by:
        `isDisabled` in interface `DisabledProps`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### getDisabledClass

          public String getDisabledClass()

      Description copied from interface: `SelectProps`
      Space-separated list of CSS style class(es) to be applied to the list element when it is disabled. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getDisabledClass` in interface `SelectProps`
      Specified by:
        `getDisabledClass` in class `AbstractSelect`

    - #### setDisabledClass

          public void setDisabledClass(String disabledClass)

    - #### isEnableManualInput

          public boolean isEnableManualInput()

      Description copied from class: `AbstractSelect`

      If "true" Allows the user to type into a text field to scroll through or filter the list. Implicitly true when using an auto-completing select list.

      Default is "false"

      Specified by:
        `isEnableManualInput` in class `AbstractSelect`

    - #### setEnableManualInput

          public void setEnableManualInput(boolean enableManualInput)

    - #### getItemClass

          public String getItemClass()

      Description copied from interface: `SelectProps`
      Space-separated list of CSS style class(es) to be applied to the list items. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getItemClass` in interface `SelectProps`

    - #### setItemClass

          public void setItemClass(String itemClass)

    - #### getItemLabel

          public Object getItemLabel()

      Description copied from class: `AbstractSelect`
      Label to be displayed to the user for the corresponding option. Used only with an auto-completing select, where the list of items comes from either the autocompleteList or autocompleteMethod attributes.
      Specified by:
        `getItemLabel` in interface `SelectItemsProps`
      Specified by:
        `getItemLabel` in class `AbstractSelect`

    - #### setItemLabel

          public void setItemLabel(Object itemLabel)

    - #### getItemValue

          public Object getItemValue()

      Description copied from class: `AbstractSelect`
      Value to be returned to the server if the corresponding option is selected by the user. Used only with an auto-completing select, where the list of items comes from either the autocompleteList or autocompleteMethod attributes.
      Specified by:
        `getItemValue` in interface `SelectItemsProps`
      Specified by:
        `getItemValue` in class `AbstractSelect`

    - #### setItemValue

          public void setItemValue(Object itemValue)

    - #### getListClass

          public String getListClass()

      Description copied from interface: `SelectProps`
      Space-separated list of CSS style class(es) to be applied to the list element. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getListClass` in interface `SelectProps`

    - #### setListClass

          public void setListClass(String listClass)

    - #### getListHeight

          public String getListHeight()

      Description copied from interface: `SelectProps`
      The height of the list element (in pixels)
      Specified by:
        `getListHeight` in interface `SelectProps`

    - #### setListHeight

          public void setListHeight(String listHeight)

    - #### getListWidth

          public String getListWidth()

      Description copied from interface: `SelectProps`
      The width of the list element (in pixels)
      Specified by:
        `getListWidth` in interface `SelectProps`

    - #### setListWidth

          public void setListWidth(String listWidth)

    - #### getMaxListHeight

          public String getMaxListHeight()

      Description copied from class: `AbstractSelect`
      The maximum height of the list
      Specified by:
        `getMaxListHeight` in class `AbstractSelect`

    - #### setMaxListHeight

          public void setMaxListHeight(String maxListHeight)

    - #### getMinChars

          public int getMinChars()

      Description copied from interface: `AutocompleteProps`
      Minimal number of chars in input to activate suggestion popup
      Specified by:
        `getMinChars` in interface `AutocompleteProps`

    - #### setMinChars

          public void setMinChars(int minChars)

    - #### getMinListHeight

          public String getMinListHeight()

      Description copied from class: `AbstractSelect`
      The minimum height ot the list
      Specified by:
        `getMinListHeight` in class `AbstractSelect`

    - #### setMinListHeight

          public void setMinListHeight(String minListHeight)

    - #### getMode

          public AutocompleteMode getMode()

      Description copied from interface: `AutocompleteProps`

      Determine how the suggestion list is requested:

      client
        pre-loads data to the client and uses the input to filter the possible suggestions
      ajax
        fetches suggestions with every input change using Ajax requests
      lazyClient
        lazy-loads data to the client and uses the input to filter the possible suggestions. The filtering does not start until the input length matches a minimum value. Set the minimum value with the minChars attribute.
      cachedAjax
        lazy-loads data via Ajax requests when the input length matches a minimum value. Set the minimum value with the minChars attribute. All suggestions are handled on the client until the input prefix is changed, at which point a new request is made based on the new input prefix

      Default: cachedAjax

      Specified by:
        `getMode` in interface `AutocompleteProps`

    - #### setMode

          public void setMode(AutocompleteMode mode)

    - #### getOnblur

          public String getOnblur()

      Description copied from interface: `FocusProps`
      Javascript code executed when this element loses focus.
      Specified by:
        `getOnblur` in interface `FocusProps`

    - #### setOnblur

          public void setOnblur(String onblur)

    - #### getOnchange

          public String getOnchange()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when the list element loses focus and its value has been modified since gaining focus.
      Specified by:
        `getOnchange` in class `AbstractSelectComponent`

    - #### setOnchange

          public void setOnchange(String onchange)

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnfocus

          public String getOnfocus()

      Description copied from interface: `FocusProps`
      Javascript code executed when this element receives focus.
      Specified by:
        `getOnfocus` in interface `FocusProps`

    - #### setOnfocus

          public void setOnfocus(String onfocus)

    - #### getOnkeydown

          public String getOnkeydown()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed down over this element.
      Specified by:
        `getOnkeydown` in interface `EventsKeyProps`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed and released over this element.
      Specified by:
        `getOnkeypress` in interface `EventsKeyProps`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is released over this element.
      Specified by:
        `getOnkeyup` in interface `EventsKeyProps`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnlistclick

          public String getOnlistclick()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is clicked over the list element.
      Specified by:
        `getOnlistclick` in class `AbstractSelectComponent`

    - #### setOnlistclick

          public void setOnlistclick(String onlistclick)

    - #### getOnlistdblclick

          public String getOnlistdblclick()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is double clicked over the list element.
      Specified by:
        `getOnlistdblclick` in class `AbstractSelectComponent`

    - #### setOnlistdblclick

          public void setOnlistdblclick(String onlistdblclick)

    - #### getOnlisthide

          public String getOnlisthide()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when the list element is hidden
      Specified by:
        `getOnlisthide` in class `AbstractSelectComponent`

    - #### setOnlisthide

          public void setOnlisthide(String onlisthide)

    - #### getOnlistkeydown

          public String getOnlistkeydown()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a key is pressed down over the list element.
      Specified by:
        `getOnlistkeydown` in class `AbstractSelectComponent`

    - #### setOnlistkeydown

          public void setOnlistkeydown(String onlistkeydown)

    - #### getOnlistkeypress

          public String getOnlistkeypress()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a key is pressed and released over the list element.
      Specified by:
        `getOnlistkeypress` in class `AbstractSelectComponent`

    - #### setOnlistkeypress

          public void setOnlistkeypress(String onlistkeypress)

    - #### getOnlistkeyup

          public String getOnlistkeyup()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a key is released over the list element.
      Specified by:
        `getOnlistkeyup` in class `AbstractSelectComponent`

    - #### setOnlistkeyup

          public void setOnlistkeyup(String onlistkeyup)

    - #### getOnlistmousedown

          public String getOnlistmousedown()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is pressed down over the list element.
      Specified by:
        `getOnlistmousedown` in class `AbstractSelectComponent`

    - #### setOnlistmousedown

          public void setOnlistmousedown(String onlistmousedown)

    - #### getOnlistmousemove

          public String getOnlistmousemove()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is moved within the list element.
      Specified by:
        `getOnlistmousemove` in class `AbstractSelectComponent`

    - #### setOnlistmousemove

          public void setOnlistmousemove(String onlistmousemove)

    - #### getOnlistmouseout

          public String getOnlistmouseout()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is moved away from the list element.
      Specified by:
        `getOnlistmouseout` in class `AbstractSelectComponent`

    - #### setOnlistmouseout

          public void setOnlistmouseout(String onlistmouseout)

    - #### getOnlistmouseover

          public String getOnlistmouseover()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is moved onto the list element.
      Specified by:
        `getOnlistmouseover` in class `AbstractSelectComponent`

    - #### setOnlistmouseover

          public void setOnlistmouseover(String onlistmouseover)

    - #### getOnlistmouseup

          public String getOnlistmouseup()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is released over the list element.
      Specified by:
        `getOnlistmouseup` in class `AbstractSelectComponent`

    - #### setOnlistmouseup

          public void setOnlistmouseup(String onlistmouseup)

    - #### getOnlistshow

          public String getOnlistshow()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when the list element is shown
      Specified by:
        `getOnlistshow` in class `AbstractSelectComponent`

    - #### setOnlistshow

          public void setOnlistshow(String onlistshow)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnselectitem

          public String getOnselectitem()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when an item is selected
      Specified by:
        `getOnselectitem` in class `AbstractSelectComponent`

    - #### setOnselectitem

          public void setOnselectitem(String onselectitem)

    - #### isSelectFirst

          public boolean isSelectFirst()

      Description copied from class: `AbstractSelect`

      If "true" as the user types to narrow the list, automatically select the first element in the list. Applicable only when enableManualInput is "true".

      Default is "true"

      Specified by:
        `isSelectFirst` in class `AbstractSelect`

    - #### setSelectFirst

          public void setSelectFirst(boolean selectFirst)

    - #### getSelectItemClass

          public String getSelectItemClass()

      Description copied from interface: `SelectProps`
      Space-separated list of CSS style class(es) to be applied to the selected list item. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getSelectItemClass` in interface `SelectProps`

    - #### setSelectItemClass

          public void setSelectItemClass(String selectItemClass)

    - #### isShowButton

          public boolean isShowButton()

      Description copied from class: `AbstractSelect`

      When "true" display a button to expand the popup list

      Default is "true"

      Specified by:
        `isShowButton` in class `AbstractSelect`

    - #### setShowButton

          public void setShowButton(boolean showButton)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTabindex

          public String getTabindex()

      Description copied from interface: `FocusProps`
      Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767.
      Specified by:
        `getTabindex` in interface `FocusProps`

    - #### setTabindex

          public void setTabindex(String tabindex)

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

    - #### getVar

          public String getVar()

      Description copied from class: `AbstractSelect`
      Expose the values from either the autocompleteList or autocompleteMethod attributes under a request scoped key so that the values may be referred to in an EL expression while rendering this component. Used only in an auto-completing select component.
      Specified by:
        `getVar` in interface `AutocompleteProps`
      Specified by:
        `getVar` in interface `SelectItemsProps`
      Specified by:
        `getVar` in class `AbstractSelect`

    - #### setVar

          public void setVar(String var)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.